## emacs 26.3%2B1-1ubuntu2%2B10.0trisquel1

=== debian/changelog ===
emacs (1:26.3+1-1ubuntu2+10.0trisquel1) nabia; urgency=medium

  * Adjust emacs suggestion to emacs-common-gfdl

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 05 Mar 2022 13:49:29 +0000

emacs (1:26.3+1-1ubuntu2) focal; urgency=medium

  * Run 'python3' as default Python command instead of 'python'

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 25 Mar 2020 22:45:59 +0100

emacs (1:26.3+1-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Sep 2019 09:25:41 +0200

emacs (1:26.3+1-1) unstable; urgency=medium

  * Merge upstream version 26.3. (Closes: 939737)

  * Update debian/copyright for 26.3.

  * Update debian/control for 26.3.

  * Don't override the upstream EPLA packaging key anymore.  Emacs 26.3
    has the correct version.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 09 Sep 2019 20:17:48 -0500

emacs (1:26.1+1-4ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Sep 2019 08:34:21 +0200

emacs (1:26.1+1-3.3ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:47:57 +0000

emacs (1:26.1+1-3.3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jul 2019 23:29:34 +0200

emacs (1:26.1+1-3.2ubuntu2) disco; urgency=medium

  * debian/control: Demote mailutils Recommends to a Suggests, as it's in
    universe, pulls in an MTA, and is nutty to require for a text editor.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 10 Apr 2019 14:53:21 -0600

emacs (1:26.1+1-3.2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Feb 2019 11:37:25 +0100

emacs (1:26.1+1-3ubuntu1) disco; urgency=medium

  * Limit optimization on ppc64el to fix test failure.
  * debian/patches/em-ls-tests-fix.patch:
    - Fix testsuite with upstream patch (Closes: #918646)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Jan 2019 16:46:11 +0100
