## emacs 26.3+1

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-gtk, emacs-nox
 Replaces: emacs-gtk, emacs-nox,
 Description: GNU Emacs editor (with Lucid GUI support)
@@ -71,7 +71,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-gtk, emacs-lucid
 Replaces: emacs-gtk, emacs-lucid,
 Description: GNU Emacs editor (without GUI support)
@@ -86,7 +86,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-lucid, emacs-nox
 Replaces: emacs-lucid, emacs-nox,
 Description: GNU Emacs editor (with GTK+ GUI support)
@@ -108,7 +108,7 @@
 Architecture: all
 Depends: emacsen-common (>= 3.0.0), install-info, ${misc:Depends}
 Recommends: emacs-el
-Suggests: emacs-common-gfdl, ncurses-term
+Suggests: emacs-common-non-dfsg, ncurses-term
 Conflicts: emacs-el (<< ${source:Version}), cedet, eieio, speedbar, gnus-bonus-el
 Breaks:
  emacs (<< 1:25),
