## emacs 27.1%2B1

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
  dbus-x11,
+ git,
  gnupg-agent,
  libgif-dev,
  libtiff-dev,
@@ -21,8 +22,12 @@
  libxaw7-dev,
  sharutils,
  imagemagick,
+ libcairo-dev,
+ libgmp-dev,
  libgtk-3-dev,
  libgnutls28-dev, libxml2-dev, libselinux1-dev [linux-any],
+ libharfbuzz-dev,
+ libjansson-dev,
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  libmagick++-6.q16-dev,
  libacl1-dev,
@@ -36,7 +41,7 @@
 Package: emacs
 Architecture: all
 Depends:
-  emacs-gtk (>= 1:26.3) | emacs-lucid (>= 1:26.3) | emacs-nox (>= 1:26.3),
+  emacs-gtk (>= 1:27.1) | emacs-lucid (>= 1:27.1) | emacs-nox (>= 1:27.1),
   ${misc:Depends}
 Description: GNU Emacs editor (metapackage)
  GNU Emacs is the extensible self-documenting text editor.
