## emacs 27.1%2B1-3ubuntu5%2B11.0trisquel1

=== debian/changelog ===
emacs (1:27.1+1-3ubuntu5+11.0trisquel1) aramo; urgency=medium

  * Adjust emacs suggestion to emacs-common-gfdl

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 10 Aug 2022 08:26:39 +0000

emacs (1:27.1+1-3ubuntu5) jammy; urgency=medium

  * debian/patches/glibc-2.34-signal-stack-fix.patch: cherry-pick fix from
    upstream to fix the FTBFS with our Ubuntu glibc 2.34.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 24 Jan 2022 16:35:51 +0100

emacs (1:27.1+1-3ubuntu4) jammy; urgency=medium

  * No-change rebuild against latest libotf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Nov 2021 11:08:38 -0500

emacs (1:27.1+1-3ubuntu3) hirsute; urgency=medium

  * Tag lscm test case as flakey.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Jan 2021 10:55:28 +0000

emacs (1:27.1+1-3ubuntu2) hirsute; urgency=medium

  * Skip tests that require DNS lookups (LP: #1911209)
    - debian/patches/skip-dns-lookup-tests.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 12 Jan 2021 16:17:22 +0100

emacs (1:27.1+1-3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.
    - Run 'python3' as default Python command instead of 'python'

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 08 Nov 2020 03:18:49 +0000

emacs (1:27.1+1-3) unstable; urgency=medium

  * Strip parent path from package descriptions for reprodcibility.  Add
    0012-Strip-parent-path-from-package-descriptions-for-repr.patch to
    incorporate the changes.  Thanks to Chris Lamb for reporting the
    problem and tracking down the cause. (Closes: 972861)

  * Apply upstream patch to restore schemas.xml to fix nXML mode.  Add
    0013-Recover-the-contents-of-the-schemas.xml-file.patch to incorporate
    the changes.  Thanks to Yasuhiro KIMURA for reporting the problem and
    the fix.  (Closes: 973633)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 07 Nov 2020 16:16:23 -0600

emacs (1:27.1+1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 24 Oct 2020 11:31:42 -0500

emacs (1:27.1+1-1) experimental; urgency=medium

  * Merge upstream version 27.1.

  * Update debian/control for 27.1.

  * Update debian/copyright for 27.1.

  * Update debian/control build-deps for 27.1.

  * Fix emacs-module-tests to work with VPATH builds.  Add
    0011-emacs-module-tests-fix-VPATH-builds.patch to address the issue.

  * debian/rules: put new pdmp files in flavor-specific packages.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 23 Aug 2020 16:09:09 -0500

emacs (1:26.3+1-2) unstable; urgency=medium

  * Fix intermittent test failures in process-tests.  Add
    0012-The-Emacs-process-tests-should-no-longer-fail-interm.patch to
    address the issue.  Thanks to Ivo De Decker for reporting the problem,
    J. Smith for tracking down the upstream bug, and Nick Gasson for
    locating the upstream patch. (Closes: 944616)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 16 May 2020 19:25:51 -0500
