=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: emacs
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
  dbus-x11,
@@ -55,7 +55,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-non-dfsg
+Suggests: emacs-common-gfdl
 Conflicts: emacs-gtk, emacs-nox
 Replaces: emacs-gtk, emacs-nox,
 Description: GNU Emacs editor (with Lucid GUI support)
@@ -76,7 +76,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-non-dfsg
+Suggests: emacs-common-gfdl
 Conflicts: emacs-gtk, emacs-lucid
 Replaces: emacs-gtk, emacs-lucid,
 Description: GNU Emacs editor (without GUI support)
@@ -91,7 +91,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-non-dfsg
+Suggests: emacs-common-gfdl
 Conflicts: emacs-lucid, emacs-nox
 Replaces: emacs-lucid, emacs-nox,
 Description: GNU Emacs editor (with GTK+ GUI support)
@@ -113,7 +113,7 @@
 Architecture: all
 Depends: emacsen-common (>= 3.0.0), install-info, ${misc:Depends}
 Recommends: emacs-el
-Suggests: emacs-common-non-dfsg, ncurses-term
+Suggests: emacs-common-gfdl, ncurses-term
 Conflicts: emacs-el (<< ${source:Version}), cedet, eieio, speedbar, gnus-bonus-el
 Breaks:
  emacs (<< 1:25),
