=== debian/changelog ===
emacs (1:27.1+1-3.1+deb11u5) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * org-link-expand-abbrev: Do not evaluate arbitrary unsafe Elisp code
    (CVE-2024-39331) (Closes: #1074137)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 25 Jun 2024 07:37:54 +0200

emacs (1:27.1+1-3.1+deb11u4) bullseye; urgency=high

  * Fix memory leak in patch for CVE-2022-48337 (Closes: #1031888).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 May 2024 09:43:09 +0100

emacs (1:27.1+1-3.1+deb11u3) bullseye; urgency=high

  * Fix CVE-2024-30203, CVE-2024-30204 & CVE-2024-30205 (Closes: #1067630).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Apr 2024 12:16:08 +0100

emacs (1:27.1+1-3.1+deb11u2) bullseye-security; urgency=medium

  * CVE-2022-48337 CVE-2022-48338 CVE-2022-48339 (Closes: #1031730)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 22 Feb 2023 22:08:26 +0100

emacs (1:27.1+1-3.1+deb11u1) bullseye-security; urgency=medium

  * Fix CVE-2022-45939.
    Add 0015-Fixed-ctags-local-command-execute-vulnerability.patch to
    address the problem. (Closes: 1025009)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 04 Jan 2023 20:23:36 +0100

emacs (1:27.1+1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/0014-Skip-tests-that-require-Internet-when-there-s-no-Int.patch:
    Skip tests that require internet connection, fixing a FTBFS.
    (Closes: #982969)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 20 Mar 2021 17:41:44 -0400
