=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: emacs
 Section: editors
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
  dbus-x11,
  git,
@@ -55,7 +54,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-gtk, emacs-nox
 Replaces: emacs-gtk, emacs-nox,
 Description: GNU Emacs editor (with Lucid GUI support)
@@ -76,7 +75,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-gtk, emacs-lucid
 Replaces: emacs-gtk, emacs-lucid,
 Description: GNU Emacs editor (without GUI support)
@@ -91,7 +90,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-lucid, emacs-nox
 Replaces: emacs-lucid, emacs-nox,
 Description: GNU Emacs editor (with GTK+ GUI support)
@@ -103,7 +102,7 @@
 Package: emacs-bin-common
 Architecture: any
 Depends: emacs-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: mailutils
+Recommends: mailutils
 Description: GNU Emacs editor's shared, architecture dependent files
  GNU Emacs is the extensible self-documenting text editor.
  This package contains the architecture dependent infrastructure
@@ -113,7 +112,7 @@
 Architecture: all
 Depends: emacsen-common (>= 3.0.0), install-info, ${misc:Depends}
 Recommends: emacs-el
-Suggests: emacs-common-gfdl, ncurses-term
+Suggests: emacs-common-non-dfsg, ncurses-term
 Conflicts: emacs-el (<< ${source:Version}), cedet, eieio, speedbar, gnus-bonus-el
 Breaks:
  emacs (<< 1:25),
