=== debian/rules ===
--- 
+++ 
@@ -100,10 +100,6 @@
 # Without this, the build dies in marker.c when trying to create c-by.el
 ifeq ($(DEB_HOST_ARCH),arm64)
   export DEB_CFLAGS_MAINT_APPEND := -O0
-endif
-
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-  export DEB_CFLAGS_MAINT_APPEND := -O2
 endif
 
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
@@ -217,3 +213,4 @@
 	@echo "major_ver: $(major_ver)"
 	@echo "minor_ver: $(minor_ver)"
 
+.PHONY: check-autogen
